## kstars 3.8.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16.0 FATAL_ERROR)

PROJECT(kstars
        VERSION 3.8.0
        DESCRIPTION "A Desktop Planetarium for KDE"
        HOMEPAGE_URL "https://edu.kde.org/kstars"
        LANGUAGES CXX C)

set (KStars_VERSION_MAJOR ${kstars_VERSION_MAJOR})
set (KStars_VERSION_MINOR ${kstars_VERSION_MINOR})
set (KStars_VERSION_REVISION ${kstars_VERSION_PATCH})
set (KSTARS_BUILD_RELEASE "Stable")
set (CMAKE_CXX_STANDARD 17)

# Option to choose between Qt5 and Qt6
# This is used by KDE CI
option(BUILD_WITH_QT6 "Build using Qt6" OFF)

if(NOT BUILD_WITH_QT6)
    set(QT_MIN_VERSION 5.12.7)
    set(KF5_MIN_VERSION 5.68.0)
    set(QT_MAJOR_VERSION 5)
else()
    set(QT_MIN_VERSION 6.6.0)
    set(KF6_MIN_VERSION 6.6.0)
    set(QT_MAJOR_VERSION 6)
endif()

# Build KStars Lite with -DBUILD_KSTARS_LITE=ON
option(BUILD_KSTARS_LITE "Build KStars Lite" OFF)

# Build the Python bindings for the SkyMesh indexation
option(BUILD_PYKSTARS "Build SkyMesh Python Bindings" OFF)

# Enable Sentry crash reporting (desktop only)
if(NOT ANDROID AND NOT BUILD_KSTARS_LITE)
    option(ENABLE_SENTRY "Enable Sentry crash reporting" OFF)
else()
    set(ENABLE_SENTRY OFF)
endif()

# KStars Timestap build
string(TIMESTAMP KSTARS_BUILD_TS UTC)

# add EVERYTHING to the compile commands
if(CMAKE_EXPORT_COMPILE_COMMANDS)
  set(CMAKE_CXX_STANDARD_INCLUDE_DIRECTORIES
    ${CMAKE_CXX_IMPLICIT_INCLUDE_DIRECTORIES})
endif()

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Ccache support
IF (ANDROID OR UNIX OR APPLE)
    FIND_PROGRAM(CCACHE_FOUND ccache)
    SET(CCACHE_SUPPORT OFF CACHE BOOL "Enable ccache support")
    IF ((CCACHE_FOUND OR ANDROID) AND CCACHE_SUPPORT MATCHES ON)
        SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
        SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
    ENDIF ()
ENDIF ()

if(CMAKE_SYSTEM_NAME STREQUAL Android)
    add_definitions(-DANDROID -D__STDC_LIMIT_MACROS)
    set(ANDROID TRUE)
endif()

if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
    include(${CMAKE_BINARY_DIR}/kf5/kde/install/share/ECM/cmake/ECMConfig.cmake)
endif()

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

# N.B. The includes must be always before find_package(Qt6 ...)
include(ExternalProject)
include(ECMInstallIcons)
include(ECMAddAppIcon)
if(NOT BUILD_WITH_QT6)
    include(KDEInstallDirs)
else()
    include(KDEInstallDirs6)
endif()
include(MacroBoolTo01)
include(ECMQtDeclareLoggingCategory)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)

if(BUILD_KSTARS_LITE)
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(QT_ANDROID $ENV{QT_ANDROID})
        set(Qt5Core_DIR "${QT_ANDROID}/lib/cmake/Qt5Core")
        set(Qt5Gui_DIR "${QT_ANDROID}/lib/cmake/Qt5Gui")
        set(Qt5Network_DIR "${QT_ANDROID}/lib/cmake/Qt5Network")
        set(Qt5Positioning_DIR "${QT_ANDROID}/lib/cmake/Qt5Positioning")
        set(Qt5Qml_DIR "${QT_ANDROID}/lib/cmake/Qt5Qml")
        set(Qt5Quick_DIR "${QT_ANDROID}/lib/cmake/Qt5Quick")
        set(Qt5Widgets_DIR "${QT_ANDROID}/lib/cmake/Qt5Widgets")
        include(${QT_ANDROID}/lib/cmake/Qt5/Qt5Config.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Core/Qt5CoreConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Gui/Qt5GuiConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Qml/Qt5QmlConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Quick/Qt5QuickConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5QuickControls2/Qt5QuickControls2Config.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Xml/Qt5XmlConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Svg/Qt5SvgConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Sql/Qt5SqlConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Network/Qt5NetworkConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Positioning/Qt5PositioningConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5PositioningQuick/Qt5PositioningQuickConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Concurrent/Qt5ConcurrentConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5AndroidExtras/Qt5AndroidExtrasConfig.cmake)
    else()
        if(ANDROID)
            list(APPEND QT_EXTRA_COMPONENTS AndroidExtras)
        else()
            list(APPEND QT_EXTRA_COMPONENTS PrintSupport)
        endif()
        find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Qml Quick QuickControls2 Xml Svg Sql Network Positioning PositioningQuick Concurrent WebSockets ${QT_EXTRA_COMPONENTS})
    endif()
else()
    if(NOT BUILD_WITH_QT6)
        find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Qml Quick Xml Sql Svg Network PrintSupport Concurrent WebSockets)
    else()
        find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Qml Quick Xml Sql Svg SvgWidgets Network PrintSupport Concurrent WebSockets DBus)
    endif(NOT BUILD_WITH_QT6)
endif()

# Load the frameworks we need
if(BUILD_KSTARS_LITE)
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(KF5_VERSION 5.28.0)
        set(KF5_HOST_TOOLING /usr/lib/x86_64-linux-gnu/cmake/)
        include(${CMAKE_BINARY_DIR}/kf5/kde/install/lib/cmake/KF5Config/KF5ConfigConfig.cmake)
        include(${CMAKE_BINARY_DIR}/kf5/kde/install/lib/cmake/KF5I18n/KF5I18nConfig.cmake)
        include(${CMAKE_BINARY_DIR}/kf5/kde/install/lib/cmake/KF5Plotting/KF5PlottingConfig.cmake)
    else()
        # Find Optional package NotifyConfig for desktop notifications
        find_package(KF5 ${KF5_MIN_VERSION} COMPONENTS NotifyConfig)
        MACRO_BOOL_TO_01(KF5NotifyConfig_FOUND HAVE_NOTIFYCONFIG)

        find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Auth Config Crash WidgetsAddons NewStuff I18n KIO XmlGui Plotting Notifications)
    endif()
else(BUILD_KSTARS_LITE)
    if(NOT BUILD_WITH_QT6)
       # Find Optional package NotifyConfig for desktop notifications
       find_package(KF5 ${KF5_MIN_VERSION} COMPONENTS NotifyConfig)
       MACRO_BOOL_TO_01(KF5NotifyConfig_FOUND HAVE_NOTIFYCONFIG)

       find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
         Config
         Crash
         WidgetsAddons
         NewStuff
         I18n
         KIO
         XmlGui
         Plotting
         Notifications
       )
       set(KFX_VERSION ${KF5_VERSION})
    else()
       # Find Optional package NotifyConfig for desktop notifications
       find_package(KF6 ${KF5_MIN_VERSION} COMPONENTS NotifyConfig)
       MACRO_BOOL_TO_01(KF6NotifyConfig_FOUND HAVE_NOTIFYCONFIG)

        find_package(KF6 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
          Config
          Crash
          WidgetsAddons
          NewStuff
          I18n
          KIO
          XmlGui
          Plotting
          Notifications
        )
       set(KFX_VERSION ${KF6_VERSION})
    endif(NOT BUILD_WITH_QT6)
endif(BUILD_KSTARS_LITE)

## Eigen3 Library
find_package(Eigen3 REQUIRED CONFIG)

## CFITSIO Library
if(ANDROID)
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(extra_cmake "-DM_LIB=-lm")
    endif()

    find_program(DOS2UNIX dos2unix)
    if (NOT DOS2UNIX)
        message(FATAL_ERROR "Could not find dos2unix")
    endif()

    externalproject_add(cfitsio SOURCE_DIR "${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio"
        URL https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/cfitsio3370.tar.gz
        PATCH_COMMAND bash -c "cd ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio && ${DOS2UNIX} ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio/CMakeLists.txt && patch -p1 < ${CMAKE_SOURCE_DIR}/packaging/android/3rdparty/cfitsio.patch"
        CMAKE_ARGS -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE} -DBUILD_SHARED_LIBS=OFF -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} ${extra_cmake}
        BUILD_COMMAND make cfitsio
        BUILD_IN_SOURCE 1
        INSTALL_COMMAND "")

    set(CFITSIO_FOUND TRUE)
    set(CFITSIO_INCLUDE_DIR PUBLIC ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio)
    set(CFITSIO_LIBRARIES ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio/libcfitsio.a)
else()
    if(BUILD_KSTARS_LITE)
        find_package(CFitsio REQUIRED)
    else()
        find_package(CFitsio)
    endif()
endif()
MACRO_BOOL_TO_01(CFITSIO_FOUND HAVE_CFITSIO)
set_package_properties(CFitsio PROPERTIES DESCRIPTION "FITS IO Library" URL "https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" TYPE OPTIONAL PURPOSE "Support for the FITS (Flexible Image Transport System) data format in KStars.")

## cfitsio cURL dependency
if(CFITSIO_FOUND)
    find_package(CURL)
    set(CFITSIO_LIBRARIES ${CFITSIO_LIBRARIE} CURL::libcurl)
endif(CFITSIO_FOUND)

## INDI Library
if (ANDROID)
    set(QT_ANDROID $ENV{QT_ANDROID})
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(extra_cmake -DCMAKE_AR=${ANDROID_NDK}/toolchains/llvm/prebuilt/linux-x86_64/bin/llvm-ar)
    endif()
    externalproject_add(indi SOURCE_DIR "${CMAKE_BINARY_DIR}/packaging/android/indi"
        URL https://github.com/indilib/indi/archive/master.zip
        CONFIGURE_COMMAND cmake . -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE} -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} \\
             -DINDI_BUILD_POSIX_CLIENT=OFF -DINDI_BUILD_SERVER=OFF -DINDI_BUILD_DRIVERS=OFF -DINDI_BUILD_UNITTESTS=OFF \\
             -DINDI_BUILD_DRIVERS=OFF -DINDI_BUILD_QT5_CLIENT=ON -DINDI_CALCULATE_MINMAX=ON \\
             -DCFITSIO_DIR=${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio -DQT_ANDROID=${QT_ANDROID} -DCMAKE_PREFIX_PATH=${QT_ANDROID} ${extra_cmake}
        BUILD_COMMAND make
        BUILD_IN_SOURCE 1
        INSTALL_COMMAND "")

    set(INDI_FOUND TRUE)
    set(INDI_INCLUDE_DIR ${CMAKE_BINARY_DIR}/packaging/android/indi/libs/indibase ${CMAKE_BINARY_DIR}/packaging/android/indi ${CMAKE_BINARY_DIR}/packaging/android/indi/libs)
    set(INDI_CLIENT_ANDROID_LIBRARIES ${CMAKE_BINARY_DIR}/packaging/android/indi/libindiclientqt.a)
else ()
    find_package(INDI 2.0.0)
endif ()
MACRO_BOOL_TO_01(INDI_FOUND HAVE_INDI)
set_package_properties(INDI PROPERTIES DESCRIPTION "Astronomical instrumentation control" URL "https://www.indilib.org" TYPE OPTIONAL PURPOSE "Support for controlling astronomical devices on Linux with KStars.")

if (NOT ANDROID)
    find_package(StellarSolver REQUIRED 2.6)
endif(NOT ANDROID)
MACRO_BOOL_TO_01(StellarSolver_FOUND HAVE_STELLARSOLVER)

find_package(Nova)
MACRO_BOOL_TO_01(NOVA_FOUND HAVE_LIBNOVA)
if (NOVA_FOUND)
    include_directories(${NOVA_INCLUDE_DIR})
endif()

if(BUILD_TESTING)
    # Find liberfa, which we check our computation against
    find_package(ERFA)
    MACRO_BOOL_TO_01(ERFA_FOUND HAVE_LIBERFA)
    set_package_properties(ERFA PROPERTIES TYPE OPTIONAL PURPOSE "BSD-compatible version of SOFA, used to test core computations of KStars (only needed by tests)")
endif ()

## Libraw
if(BUILD_KSTARS_LITE AND ANDROID)
    # OpenMP needed for LibRaw
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fopenmp -DLIBRAW_USE_OPENMP")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fopenmp -DLIBRAW_USE_OPENMP")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgomp")

    externalproject_add(raw SOURCE_DIR "${CMAKE_BINARY_DIR}/packaging/android/3rdparty/libraw"
        URL https://www.libraw.org/data/LibRaw-0.17.2.tar.gz
        PATCH_COMMAND bash -c "cd ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/libraw && wget -qO- https://github.com/LibRaw/LibRaw-cmake/archive/master.zip | jar xvf /dev/stdin && rm -rf cmake && mv -f LibRaw-cmake-master/CMakeLists.txt LibRaw-cmake-master/cmake . && patch -p1 < ${CMAKE_SOURCE_DIR}/packaging/android/3rdparty/libraw.patch"
        CMAKE_ARGS -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE} -DBUILD_SHARED_LIBS=OFF -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} -DENABLE_OPENMP=OFF -DENABLE_LCMS=OFF

=== Tests/kstars_ui/CMakeLists.txt ===

SET(KSTARS_UI_TESTS_SRC
    kstars_ui_tests.cpp
    test_kstars_startup.cpp)

include_directories(${CFITSIO_INCLUDE_DIR})

ECM_ADD_APP_ICON(KSTARS_UI_TESTS_SRC ICONS
        ../../kstars/icons/16-apps-kstars.png
        ../../kstars/icons/32-apps-kstars.png
        ../../kstars/icons/48-apps-kstars.png
        ../../kstars/icons/64-apps-kstars.png
        ../../kstars/icons/128-apps-kstars.png
        )

IF(NOT BUILD_WITH_QT6)
QT5_ADD_RESOURCES(KSTARS_UI_TESTS_SRC ../../kstars/data/kstars.qrc)
ELSE()
QT6_ADD_RESOURCES(KSTARS_UI_TESTS_SRC ../../kstars/data/kstars.qrc)
ENDIF()

ecm_qt_declare_logging_category(KSTARS_UI_TESTS_SRC HEADER test_ekos_debug.h IDENTIFIER KSTARS_EKOS_TEST CATEGORY_NAME org.kde.kstars.ekos.test)

IF (INDI_FOUND)

INCLUDE_DIRECTORIES(${INDI_INCLUDE_DIR})
SET(KSTARS_UI_EKOS_SRC ${KSTARS_UI_TESTS_SRC} test_ekos_wizard.cpp)
SET(KSTARS_UI_EKOS_LIBS ${TEST_LIBRARIES} ${CFITSIO_LIBRARIES} ${INDI_CLIENT_LIBRARIES} ${NOVA_LIBRARIES} z)

SET(KSTARS_UI_MOCK_SRC mockmodules.cpp)
IF(NOT BUILD_WITH_QT6)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockFocus.xml mockmodules.h Ekos::MockFocus)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockMount.xml mockmodules.h Ekos::MockMount)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockCapture.xml mockmodules.h Ekos::MockCapture)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockAlign.xml mockmodules.h Ekos::MockAlign)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockGuide.xml mockmodules.h Ekos::MockGuide)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.xml mockmodules.h Ekos::MockEkos)
ELSE()
qt6_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockFocus.xml mockmodules.h Ekos::MockFocus)
qt6_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockMount.xml mockmodules.h Ekos::MockMount)
qt6_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockCapture.xml mockmodules.h Ekos::MockCapture)
qt6_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockAlign.xml mockmodules.h Ekos::MockAlign)
qt6_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockGuide.xml mockmodules.h Ekos::MockGuide)
qt6_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.xml mockmodules.h Ekos::MockEkos)
ENDIF()

# FIXME: this particular test crashes when done on the EGLFS platform
# Disabling until we find the reason, other tests do cover this scenario

# ADD_EXECUTABLE(test_ekos ${KSTARS_UI_EKOS_SRC} test_ekos.cpp)
# TARGET_LINK_LIBRARIES(test_ekos ${KSTARS_UI_EKOS_LIBS})
# ADD_TEST(NAME TestEkosProfiles COMMAND test_ekos)
# SET_TESTS_PROPERTIES( TestEkosProfiles PROPERTIES LABELS "stable;ui")

ADD_EXECUTABLE(test_ekos_simulator ${KSTARS_UI_EKOS_SRC} test_ekos_simulator.cpp)
TARGET_LINK_LIBRARIES(test_ekos_simulator ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosSimulator COMMAND test_ekos_simulator)
# SET_TESTS_PROPERTIES( TestEkosSimulator PROPERTIES LABELS "stable;ui")

ADD_EXECUTABLE(test_ekos_focus ${KSTARS_UI_EKOS_SRC} test_ekos_focus.cpp)
TARGET_LINK_LIBRARIES(test_ekos_focus ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosFocus COMMAND test_ekos_focus)
# SET_TESTS_PROPERTIES( TestEkosFocus PROPERTIES LABELS "stable;ui")

ADD_EXECUTABLE(test_ekos_capture ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_capture.cpp)
TARGET_LINK_LIBRARIES(test_ekos_capture ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosCapture COMMAND test_ekos_capture)
SET_TESTS_PROPERTIES( TestEkosCapture PROPERTIES LABELS "stable;ui" TIMEOUT 600)

ADD_EXECUTABLE(test_ekos_filterwheel ${KSTARS_UI_EKOS_SRC} test_ekos_filterwheel.cpp)
TARGET_LINK_LIBRARIES(test_ekos_filterwheel ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosFilterWheel COMMAND test_ekos_filterwheel)

ADD_EXECUTABLE(test_ekos_capture_count ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_capture_count.cpp)
TARGET_LINK_LIBRARIES(test_ekos_capture_count ${KSTARS_UI_EKOS_LIBS})
# Exculded as this is flakey: December 8, 2022
#ADD_TEST(NAME TestEkosCaptureCount COMMAND test_ekos_capture_count)
#SET_TESTS_PROPERTIES( TestEkosCaptureCount PROPERTIES LABELS "stable;ui" TIMEOUT 1200 )

ADD_EXECUTABLE(test_ekos_capture_workflow ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_capture_workflow.cpp)
TARGET_LINK_LIBRARIES(test_ekos_capture_workflow ${KSTARS_UI_EKOS_LIBS})

ADD_EXECUTABLE(test_ekos_align ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_scheduler_helper.cpp test_ekos_align.cpp)
TARGET_LINK_LIBRARIES(test_ekos_align ${KSTARS_UI_EKOS_LIBS})
ADD_CUSTOM_COMMAND( TARGET test_ekos_align POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/Kocab.fits
            ${CMAKE_CURRENT_BINARY_DIR}/Kocab.fits)

# excluded to avoid CI timelimit failure
# ADD_TEST(NAME TestEkosAlign COMMAND test_ekos_align)
# SET_TESTS_PROPERTIES( TestEkosAlign PROPERTIES LABELS "unstable;ui" TIMEOUT 600 )

ADD_EXECUTABLE(test_ekos_meridianflip ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_meridianflip_base.cpp test_ekos_meridianflip.cpp)
TARGET_LINK_LIBRARIES(test_ekos_meridianflip ${KSTARS_UI_EKOS_LIBS})
# excluded to avoid CI timelimit failure
# ADD_TEST(NAME TestEkosMeridianFlip COMMAND test_ekos_meridianflip)
# SET_TESTS_PROPERTIES( TestEkosMeridianFlip PROPERTIES LABELS "astrometry;ui" )
ADD_CUSTOM_COMMAND( TARGET test_ekos_meridianflip POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/phd2_Simulators_mf.PHDGuidingV2
            ${CMAKE_CURRENT_BINARY_DIR}/.PHDGuidingV2_mf)

ADD_EXECUTABLE(test_ekos_meridianflip_specials ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_meridianflip_base.cpp test_ekos_meridianflip_specials.cpp)
TARGET_LINK_LIBRARIES(test_ekos_meridianflip_specials ${KSTARS_UI_EKOS_LIBS})
ADD_CUSTOM_COMMAND( TARGET test_ekos_meridianflip_specials POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/phd2_Simulators_mf.PHDGuidingV2
            ${CMAKE_CURRENT_BINARY_DIR}/.PHDGuidingV2_mf)
# excluded to avoid CI timelimit failure
# ADD_TEST(NAME TestEkosMeridianFlipSpecials COMMAND test_ekos_meridianflip_specials)
# SET_TESTS_PROPERTIES( TestEkosMeridianFlipSpecials PROPERTIES LABELS "unstable;ui" TIMEOUT 600 )

ADD_EXECUTABLE( test_ekos_meridianflipstate ${KSTARS_UI_EKOS_SRC}  test_ekos_helper.cpp test_ekos_meridianflipstate.cpp)
TARGET_LINK_LIBRARIES( test_ekos_meridianflipstate ${TEST_LIBRARIES})
ADD_TEST( NAME TestEkosMeridianFlipState COMMAND test_ekos_meridianflipstate )
SET_TESTS_PROPERTIES( TestEkosMeridianFlipState PROPERTIES LABELS "stable;ui" TIMEOUT 120 )

ADD_EXECUTABLE(test_ekos_scheduler ${KSTARS_UI_EKOS_SRC} test_ekos_scheduler.cpp)
TARGET_LINK_LIBRARIES(test_ekos_scheduler ${KSTARS_UI_EKOS_LIBS})
ADD_CUSTOM_COMMAND( TARGET test_ekos_scheduler POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/../scheduler/1x1s_Lum.esq
            ${CMAKE_CURRENT_BINARY_DIR}/1x1s_Lum.esq)
ADD_CUSTOM_COMMAND( TARGET test_ekos_scheduler POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/../scheduler/1x1s_RGBLumRGB.esq
            ${CMAKE_CURRENT_BINARY_DIR}/1x1s_RGBLumRGB.esq)
ADD_TEST(NAME TestEkosScheduler COMMAND test_ekos_scheduler)
SET_TESTS_PROPERTIES( TestEkosScheduler PROPERTIES LABELS "stable;ui" TIMEOUT 120 )

ADD_EXECUTABLE(test_ekos_scheduler_ops ${KSTARS_UI_EKOS_SRC} ${KSTARS_UI_MOCK_SRC} test_ekos_helper.cpp test_ekos_scheduler_helper.cpp test_ekos_scheduler_ops.cpp)
TARGET_LINK_LIBRARIES(test_ekos_scheduler_ops ${KSTARS_UI_EKOS_LIBS})
ADD_CUSTOM_COMMAND( TARGET test_ekos_scheduler_ops POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.mockkstars.MockEkos.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.mockkstars.MockEkos.MockAlign.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.mockkstars.MockEkos.MockCapture.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.mockkstars.MockEkos.MockFocus.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.mockkstars.MockEkos.MockGuide.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.mockkstars.MockEkos.MockMount.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/Messier-1-40-alt0.esl
            ${CMAKE_CURRENT_SOURCE_DIR}/Messier-1-40-alt30.esl
            ${CMAKE_CURRENT_SOURCE_DIR}/Messier-1-40.esq
            ${CMAKE_CURRENT_BINARY_DIR})

ADD_TEST(NAME TestEkosSchedulerOps COMMAND test_ekos_scheduler_ops)
SET_TESTS_PROPERTIES( TestEkosSchedulerOps PROPERTIES LABELS "stable;ui" TIMEOUT 200 )

ADD_EXECUTABLE(test_artificial_horizon ${KSTARS_UI_EKOS_SRC} test_artificial_horizon.cpp)
TARGET_LINK_LIBRARIES(test_artificial_horizon ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestArtificialHorizon COMMAND test_artificial_horizon)
SET_TESTS_PROPERTIES( TestArtificialHorizon PROPERTIES LABELS "stable;ui" TIMEOUT 600 )

# JM 2021-10.16 PHD2 test often fails in CI so it is excluded now until it is fixed.
#ADD_EXECUTABLE(test_ekos_guide ${KSTARS_UI_EKOS_SRC} test_ekos_guide.cpp)
#TARGET_LINK_LIBRARIES(test_ekos_guide ${KSTARS_UI_EKOS_LIBS})
#ADD_CUSTOM_COMMAND( TARGET test_ekos_guide POST_BUILD
    #COMMAND ${CMAKE_COMMAND} -E copy
            #${CMAKE_CURRENT_SOURCE_DIR}/phd2_Simulators.PHDGuidingV2
            #${CMAKE_CURRENT_BINARY_DIR}/.PHDGuidingV2)
#ADD_TEST(NAME TestEkosGuide COMMAND test_ekos_guide)
#SET_TESTS_PROPERTIES( TestEkosGuide PROPERTIES LABELS "unstable;ui" TIMEOUT 600 )

ADD_EXECUTABLE(test_ekos_mount ${KSTARS_UI_EKOS_SRC} test_ekos_mount.cpp)
TARGET_LINK_LIBRARIES(test_ekos_mount ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosMount COMMAND test_ekos_mount)
SET_TESTS_PROPERTIES( TestEkosMount PROPERTIES LABELS "no-xvfb;ui" TIMEOUT 600 )

ADD_EXECUTABLE(test_catalog_download ${KSTARS_UI_EKOS_SRC} test_catalog_download.cpp)
TARGET_LINK_LIBRARIES(test_catalog_download ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestCatalogDownload COMMAND test_catalog_download)
SET_TESTS_PROPERTIES( TestCatalogDownload PROPERTIES LABELS "stable;ui" TIMEOUT 600 )

ELSE ()

# JM 2010-10-15: Disable this test due to issues in CI
#ADD_EXECUTABLE(test_kstars_ui ${KSTARS_UI_TESTS_SRC})
#TARGET_LINK_LIBRARIES(test_kstars_ui ${TEST_LIBRARIES})
#ADD_TEST(NAME TestKstarsUI COMMAND test_kstars_ui)

ENDIF ()

=== debian/changelog ===
kstars (5:3.8.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 01:28:11 +0000

kstars (5:3.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 00:25:25 +0000

kstars (5:3.7.9-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Oct 2025 00:25:25 +0000

kstars (5:3.7.8-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Aug 2025 00:27:11 +0000

kstars (5:3.7.7-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 02 Jun 2025 00:27:48 +0000

kstars (5:3.7.6-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Apr 2025 00:25:40 +0000

kstars (5:3.7.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 02 Feb 2025 00:26:42 +0000

kstars (5:3.7.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Dec 2024 00:25:10 +0000

kstars (5:3.7.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 00:25:10 +0000

kstars (5:3.7.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 04 Aug 2024 01:33:04 +0000

kstars (5:3.7.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 06 Aug 2023 00:40:14 +0000

kstars (5:3.7.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 06 Aug 2023 00:40:14 +0000

kstars (5:3.6.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Apr 2023 00:25:28 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = optimize=-lto

archs_using_clang = mipsel
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_using_clang)))
export CC=clang
export CXX=clang++
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
endif

%:
	dh $@ --with kf6 --buildsystem kf6  

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF -DBUILD_WITH_QT6=ON

.PHONY: override_dh_auto_test

## kstars 3.8.0+p24.04+vstable+git20260205.2217

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.16.0 FATAL_ERROR)
 
 PROJECT(kstars
-        VERSION 3.8.0
+        VERSION 3.8.2
         DESCRIPTION "A Desktop Planetarium for KDE"
         HOMEPAGE_URL "https://edu.kde.org/kstars"
         LANGUAGES CXX C)
@@ -9,7 +9,7 @@
 set (KStars_VERSION_MAJOR ${kstars_VERSION_MAJOR})
 set (KStars_VERSION_MINOR ${kstars_VERSION_MINOR})
 set (KStars_VERSION_REVISION ${kstars_VERSION_PATCH})
-set (KSTARS_BUILD_RELEASE "Stable")
+set (KSTARS_BUILD_RELEASE "Beta")
 set (CMAKE_CXX_STANDARD 17)
 
 # Option to choose between Qt5 and Qt6

=== datahandlers/CMakeLists.txt ===

include_directories(
    ${kstars_SOURCE_DIR}/kstars
    ${kstars_SOURCE_DIR}/kstars/tools
    ${kstars_SOURCE_DIR}/kstars/skyobjects
    ${kstars_SOURCE_DIR}/kstars/skycomponents
    ${kstars_SOURCE_DIR}/kstars/auxiliary
    ${kstars_SOURCE_DIR}/kstars/time
    ${kstars_SOURCE_DIR}/kstars/kstarslite
)

SET(LibKSDataHandlers_SRC
    ${kstars_SOURCE_DIR}/datahandlers/ksparser.cpp)

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(LibKSDataHandlers LibKSDataHandlers_SRC 10 cpp)
ENDIF ()

ecm_qt_declare_logging_category(LibKSDataHandlers_SRC HEADER catalog_debug.h IDENTIFIER KSTARS_CATALOG CATEGORY_NAME org.kde.kstars.catalog)

ecm_qt_declare_logging_category(EXPERIMENT_SRCS HEADER catalogsdb_debug.h IDENTIFIER KSTARS_CATALOGS CATEGORY_NAME org.kde.kstars.catalogdb)

add_library(LibKSDataHandlers STATIC ${LibKSDataHandlers_SRC})
set_target_properties(LibKSDataHandlers PROPERTIES POSITION_INDEPENDENT_CODE ON)

# Added this because includedir was missing, is this required?
if (ANDROID)
  if(NOT BUILD_WITH_QT6)
    target_link_libraries(LibKSDataHandlers KF5::I18n Qt::Sql Qt::Core Qt::Gui)
  else()
  endif(NOT BUILD_WITH_QT6)
  target_compile_options(LibKSDataHandlers PRIVATE ${KSTARSLITE_CPP_OPTIONS} -DUSE_QT5_INDI -DKSTARS_LITE)
else ()
  if(NOT BUILD_WITH_QT6)
    target_link_libraries(LibKSDataHandlers KF5::WidgetsAddons KF5::I18n Qt::Sql Qt::Core Qt::Gui)
  else()
    target_link_libraries(LibKSDataHandlers KF6::WidgetsAddons KF6::I18n Qt::Sql Qt::Core Qt::Gui)
  endif(NOT BUILD_WITH_QT6)
endif ()

=== debian/changelog ===
kstars (5:3.8.0+p24.04+vstable+git20260205.2217-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 22:18:23 +0000

## kstars 3.8.1

=== debian/changelog ===
kstars (5:3.8.1-2) experimental; urgency=medium

  * Add the libopencv-dev build dependency, as it looks like kstars does not
    build anymore without it (even if marked as optional dependency).

 -- Pino Toscano <pino@debian.org>  Tue, 03 Feb 2026 06:36:33 +0100

kstars (5:3.8.1-1) experimental; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 02 Feb 2026 23:21:27 +0100

kstars (5:3.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 15 Dec 2025 18:50:34 +0100

=== debian/control ===
Source: kstars
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               kinit-dev (>= 5.68.0~),
               libcfitsio-dev (>= 3.040),
               libcurl4-openssl-dev | libcurl-dev,
               libeigen3-dev (>> 2.0.3),
               libglu1-mesa-dev,
               libgsl-dev,
               libindi-dev (>= 2.0.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5crash-dev (>= 5.68.0~),
               libkf5dbusaddons-dev (>= 5.68.0~),
               libkf5guiaddons-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5iconthemes-dev (>= 5.68.0~),
               libkf5jobwidgets-dev (>= 5.68.0~),
               libkf5kio-dev (>= 5.68.0~),
               libkf5newstuff-dev (>= 5.68.0~),
               libkf5notifications-dev (>= 5.68.0~),
               libkf5notifyconfig-dev (>= 5.68.0~),
               libkf5plotting-dev (>= 5.68.0~),
               libkf5texteditor-dev (>= 5.68.0~),
               libkf5widgetsaddons-dev (>= 5.68.0~),
               libkf5windowsystem-dev (>= 5.68.0~),
               libkf5xmlgui-dev (>= 5.68.0~),
               libnova-dev,
               libopencv-dev,
               libqt5datavisualization5-dev (>= 5.12.7~),
               libqt5opengl5-dev (>= 5.12.7~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.12.7~),
               libqt5websockets5-dev (>= 5.12.7~),
               libraw-dev,
               libsecret-1-dev,
               libstellarsolver-dev (>= 2.6~),
               libxisf-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qt5keychain-dev,
               qtbase5-dev (>= 5.12.7~),
               qtdeclarative5-dev (>= 5.12.7~),
               qtmultimedia5-dev (>= 5.12.7~),
               wcslib-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://edu.kde.org/kstars/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kstars
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kstars.git

Package: kstars
Architecture: any
Section: science
Pre-Depends: ${misc:Pre-Depends}
Depends: kstars-data (= ${source:Version}),
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter, konqueror
Recommends: astrometry.net, indi-bin, xplanet
Description: desktop planetarium, observation planning and telescope control
 KStars is a scientifically accurate desktop planetarium, visualising a
 graphical simulation of the night sky from any location on Earth, at any date
 and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids. KStars addresses
 students and amateur astronomers of all levels.
 .
 The database of known objects can be extended and updated from local or
 remote databases, which is prepared for in a user-extendable interface.
 KStars suggests observations of particular interest like conjunctions
 with respect to the location of the user. And for user-selected targets it
 proposes the ones that are best-observable.
 .
 The software may be used for planning experiments around the globe,
 e.g. for remote controlled commercial services. But KStars also
 features an INDI interface to control local telescopes and cameras.
 Users with programming experience can script it via the KDE desktop bus.

Package: kstars-data
Architecture: all
Section: science
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.

## kstars 4.7.1

=== debian/changelog ===
kstars (4:4.6.90+repack-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release candidate
  * Split packaging from kdeedu
    - kstars-dbg breaks/replaces kdeedu-dbg << 4:4.6.80
  * Repackage upstream source to include missing license copies

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 03 Jul 2011 14:13:19 +0200

=== debian/control ===
Source: kstars
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.launchpad.net>
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               kde-sc-dev-latest (>= 4:4.7.1),
               kdelibs5-dev (>= 4:4.6),
               libcfitsio3-dev,
               libeigen2-dev,
               libindi-dev,
               libqt4-opengl-dev [!armel],
               xplanet,
               zlib1g-dev
Standards-Version: 3.9.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/kstars
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars

Package: kstars
Architecture: any
Section: science
Depends: kstars-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: indi, khelpcenter4, konqueror
Recommends: xplanet
Description: desktop planetarium for KDE
 KStars is a desktop planetarium for KDE, depicting an accurate graphical
 simulation of the night sky, from any location on Earth, at any date and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids.  It includes tools
 for astronomical calculations and can control telescopes and cameras.
 .
 This package is part of the KDE education module.

Package: kstars-data
Architecture: all
Section: science
Depends: ${misc:Depends}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.
 .
 This package is part of the KDE education module.

Package: kstars-dbg
Architecture: any
Section: debug
Depends: kstars (= ${binary:Version}), ${misc:Depends}
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for kstars
 This package contains debugging files used to investigate problems with
 binaries included in kstars

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

ifeq ($(DEB_HOST_ARCH),armel)
override_dh_auto_configure:
	$(overridden_command) -- -DWITH_OpenGL=OFF
endif

override_dh_strip:
	$(overridden_command) --dbg-package=kstars-dbg

## kstars 4.7.2

=== debian/control ===
Source: kstars
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.7),
 libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),
 libglu1-mesa-dev, libnova-dev, libqt4-opengl-dev, pkg-config, xplanet,
 libindi-dev [linux-any],
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kstars.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kstars.git

Package: kstars
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}, kstars-data (>= ${source:Version})
Suggests: konqueror, khelpcenter4, indi-bin [linux-any], xplanet
Description: desktop planetarium for KDE
 KStars is a desktop planetarium for KDE, depicting an accurate graphical
 simulation of the night sky, from any location on Earth, at any date and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids.  It includes tools
 for astronomical calculations and can control telescopes and cameras.
 .
 This package is part of the KDE education module.

Package: kstars-data
Architecture: all
Section: science
Depends: ${misc:Depends}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.
 .
 This package is part of the KDE education module.

## kstars 4.7.4

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Uploaders: Pino Toscano <pino@debian.org>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.7),
  libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),

## kstars 4.8.2

=== debian/changelog ===
kstars (4:4.7.2-0r0) UNRELEASED; urgency=low

  * Initial release:
    - provides various corrections for Canadian entries in Cities.dat
      (Closes: #622310)
    - correctly takes the DST into account (Closes: #622312)
  * Provide the INDI support, only on Linux architecture (as upstream checks):
    (Closes: #599332)
    - build depend on libindi-dev
    - change the suggest from indi to indi-bin

 -- Pino Toscano <pino@debian.org>  Mon, 24 Oct 2011 16:35:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: kstars
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.7),
+ dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.8.1),
  libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),
- libglu1-mesa-dev, libnova-dev, libqt4-opengl-dev, pkg-config, xplanet,
- libindi-dev [linux-any],
+ libglu1-mesa-dev [!armel], libnova-dev, libqt4-opengl-dev [!armel], pkg-config, xplanet,
+ libindi-dev [linux-any], 
+ libnova-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kstars.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kstars.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kstars.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kstars.git
 
 Package: kstars
 Architecture: any
 Section: science
 Depends: ${shlibs:Depends}, ${misc:Depends}, kstars-data (>= ${source:Version})
-Suggests: konqueror, khelpcenter4, indi-bin [linux-any], xplanet
+Recommends: xplanet
+Suggests: konqueror, khelpcenter4, indi
 Description: desktop planetarium for KDE
  KStars is a desktop planetarium for KDE, depicting an accurate graphical
  simulation of the night sky, from any location on Earth, at any date and time.

## kstars 4.8.4

=== debian/control ===
Source: kstars
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.8),
 libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),
 libglu1-mesa-dev, libnova-dev, libqt4-opengl-dev, pkg-config, xplanet,
 libindi-dev [linux-any],
Standards-Version: 3.9.3
Homepage: http://edu.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kstars.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kstars.git

Package: kstars
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}, kstars-data (>= ${source:Version})
Suggests: konqueror, khelpcenter4, indi-bin [linux-any], xplanet
Description: desktop planetarium for KDE
 KStars is a desktop planetarium for KDE, depicting an accurate graphical
 simulation of the night sky, from any location on Earth, at any date and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids.  It includes tools
 for astronomical calculations and can control telescopes and cameras.
 .
 This package is part of the KDE education module.

Package: kstars-data
Architecture: all
Section: science
Depends: ${misc:Depends}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.
 .
 This package is part of the KDE education module.

## kstars 4.8.5

=== debian/changelog ===
kstars (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:52:18 +0200

kstars (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:40:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: kstars
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.8),
+ dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.8.1),
  libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),
- libglu1-mesa-dev, libnova-dev, libqt4-opengl-dev, pkg-config, xplanet,
- libindi-dev [linux-any],
-Standards-Version: 3.9.3
+ libglu1-mesa-dev [!armel], libnova-dev, libqt4-opengl-dev [!armel], pkg-config, xplanet,
+ libindi-dev [linux-any], 
+ libnova-dev
+Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kstars.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kstars.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kstars
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kstars.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kstars.git
 
 Package: kstars
 Architecture: any
 Section: science
 Depends: ${shlibs:Depends}, ${misc:Depends}, kstars-data (>= ${source:Version})
-Suggests: konqueror, khelpcenter4, indi-bin [linux-any], xplanet
+Recommends: xplanet
+Suggests: konqueror, khelpcenter4, indi
 Description: desktop planetarium for KDE
  KStars is a desktop planetarium for KDE, depicting an accurate graphical
  simulation of the night sky, from any location on Earth, at any date and time.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf)))
override_dh_auto_configure:
	$(overridden_command) -- -DWITH_OpenGL=OFF
endif

## kstars 4.9.2

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.8.1),
+ dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.9.2),
  libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),
  libglu1-mesa-dev [!armel], libnova-dev, libqt4-opengl-dev [!armel], pkg-config, xplanet,
  libindi-dev [linux-any],

## kstars 4.9.3

=== debian/changelog ===
kstars (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:39:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.9.2),
+ dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.9.3),
  libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),
  libglu1-mesa-dev [!armel], libnova-dev, libqt4-opengl-dev [!armel], pkg-config, xplanet,
  libindi-dev [linux-any],

## kstars 4.10.0

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.9.3),
+ dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.10.0),
  libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),
  libglu1-mesa-dev [!armel], libnova-dev, libqt4-opengl-dev [!armel], pkg-config, xplanet,
- libindi-dev [linux-any], 
+ libindi-dev (>= 0.9.6) [linux-any], wcslib-dev, 
  libnova-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/

## kstars 4.10.2

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.10.0),
+ dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.10.2),
  libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),
  libglu1-mesa-dev [!armel], libnova-dev, libqt4-opengl-dev [!armel], pkg-config, xplanet,
  libindi-dev (>= 0.9.6) [linux-any], wcslib-dev,

## kstars 4.10.4

=== debian/changelog ===
kstars (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:35:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.10.2),
+ dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.10.4),
  libeigen2-dev (>> 2.0.3), zlib1g-dev, libcfitsio3-dev (>= 3.040),
  libglu1-mesa-dev [!armel], libnova-dev, libqt4-opengl-dev [!armel], pkg-config, xplanet,
  libindi-dev (>= 0.9.6) [linux-any], wcslib-dev,
